import request from '@/utils/request'

// 查询合同电梯履历列表
export function listLiftHistory(query) {
  return request({
    url: '/business/liftHistory/list',
    method: 'get',
    params: query
  })
}

// 查询合同电梯履历详细
export function getLiftHistory(id) {
  return request({
    url: '/business/liftHistory/' + id,
    method: 'get'
  })
}

// 新增合同电梯履历
export function addLiftHistory(data) {
  return request({
    url: '/business/liftHistory',
    method: 'post',
    data: data
  })
}

// 修改合同电梯履历
export function updateLiftHistory(data) {
  return request({
    url: '/business/liftHistory',
    method: 'put',
    data: data
  })
}

// 删除合同电梯履历
export function delLiftHistory(id) {
  return request({
    url: '/business/liftHistory/' + id,
    method: 'delete'
  })
}
